
// H1 Candle + D1 high low
//-----------------------------------------
#property copyright   "alphaomega"
#property link        "http://www.forexfactory.com/alphaomega"

#property indicator_chart_window

extern string _______H1_Candle______________________________= "";

extern bool Show_H1_Candle=true;
input color Candle_UPcol = C'0,150,0';
input color Candle_DOWNcol = C'220,0,0';
input color Candle_TailCol = Gray;
extern int Candle_Shift = -108;
extern int Candle_Width = 10;

extern string _______Daily_High_Low______________________________= "";

extern bool D1_Show_Line=true;
extern bool D1_Show_Price=true;
input color D1_Highcol = FireBrick;
input color D1_Lowcol = Green;
input int D1_style = 2;
extern int D1_Shift = -97;
extern int D1_Width = 100;
extern bool Show_Daily_Info=true;

datetime curTime;

//---------------------------------------
double H1_high, H1_low, H1_open, H1_close;
int Cshift,Cwidth;
//---------------------------------------
double D1_high, D1_low;
int D1shift, D1width;
//---------------------------------------
int xUnit;
//-----------------------------------------
double Pointx;
double divider;
int x_digits;

int init()
  {
  
   xUnit = Period() * 60;      
   Cshift = Candle_Shift * xUnit;
   Cwidth = Candle_Width * xUnit;
   D1shift = D1_Shift * xUnit;
   D1width = D1_Width * xUnit;
   
         //Spread: Check for 3 & 5 digit
   if (Point == 0.00001) Pointx = 0.0001; //5 digits
   else if (Point == 0.001) Pointx = 0.01; //3 digits
   else Pointx = Point; //Normal
  
   if (Pointx > Point)
      {
      divider = 10.0;
      x_digits = 1;
      }
   else 
      {
      divider = 1;
      x_digits = 0;
      }
  
   return(0);
  }
//-----------------------------------------
int deinit()
  {

   ObjectDelete("U_T");  
   ObjectDelete("O_C"); 
   ObjectDelete("D_T"); 
      
   ObjectDelete("High_line");   
   ObjectDelete("Low_line");    
   ObjectDelete("High_price");   
   ObjectDelete("Low_price"); 

   ObjectDelete("D1Range");   
   ObjectDelete("D1Change"); 
      
   return(0);
  }
//-----------------------------------------
int start()
  {
//-------------------------------------------------------------------
//   H1 Candle

   H1_high=iHigh(NULL, PERIOD_H1,0); 
   H1_low=iLow(NULL, PERIOD_H1,0);     
   H1_open=iOpen(NULL, PERIOD_H1,0); 
   H1_close=iClose(NULL, PERIOD_H1,0);
     
   curTime = Time[0];
          
   color CCol;
   
   if (H1_close > H1_open)CCol= Candle_UPcol;
   if (H1_close < H1_open)CCol= Candle_DOWNcol;   

 if (Show_H1_Candle==true)
  {       
   ObjectDelete(0,"U_T");
   ObjectCreate(0,"U_T",OBJ_RECTANGLE,0,0,0,0,0);
   ObjectSet("U_T", OBJPROP_TIME1,  curTime+Cshift);
   ObjectSet("U_T", OBJPROP_TIME2,  curTime+Cshift+Cwidth);
   ObjectSet("U_T", OBJPROP_PRICE1, H1_high );
   if (H1_close > H1_open) ObjectSet("U_T", OBJPROP_PRICE2, H1_close );
   if (H1_close < H1_open) ObjectSet("U_T", OBJPROP_PRICE2, H1_open );
   ObjectSet("U_T", OBJPROP_COLOR,  Candle_TailCol);
   
   ObjectDelete(0,"O_C");
   ObjectCreate(0,"O_C",OBJ_RECTANGLE,0,0,0,0,0);
   ObjectSet("O_C", OBJPROP_TIME1,  curTime+Cshift);
   ObjectSet("O_C", OBJPROP_TIME2,  curTime+Cshift+Cwidth);
   ObjectSet("O_C", OBJPROP_PRICE1, H1_open );
   ObjectSet("O_C", OBJPROP_PRICE2, H1_close );
   ObjectSet("O_C", OBJPROP_COLOR,  CCol);
   
   ObjectDelete(0,"D_T");
   ObjectCreate(0,"D_T",OBJ_RECTANGLE,0,0,0,0,0);
   ObjectSet("D_T", OBJPROP_TIME1,  curTime+Cshift);
   ObjectSet("D_T", OBJPROP_TIME2,  curTime+Cshift+Cwidth);
   ObjectSet("D_T", OBJPROP_PRICE1, H1_low );
   if (H1_close > H1_open) ObjectSet("D_T", OBJPROP_PRICE2, H1_open );
   if (H1_close < H1_open) ObjectSet("D_T", OBJPROP_PRICE2, H1_close );
   ObjectSet("D_T", OBJPROP_COLOR,  Candle_TailCol);
   }

//--------------------------------------------------------------------
//   Daily high/low

   D1_high=iHigh(NULL, PERIOD_D1,0); 
   D1_low=iLow(NULL, PERIOD_D1,0);     
   
 if (D1_Show_Line==true) 
   { 
   ObjectDelete("High_line");
   ObjectCreate(0,"High_line",OBJ_TREND,0,0,0,0);
   ObjectSet("High_line", OBJPROP_TIME1,  curTime+D1shift);
   ObjectSet("High_line", OBJPROP_TIME2,  curTime+D1shift+D1width);
   ObjectSet("High_line", OBJPROP_PRICE1, D1_high);
   ObjectSet("High_line", OBJPROP_PRICE2, D1_high);
   ObjectSet("High_line",OBJPROP_STYLE,D1_style);
   ObjectSet("High_line",OBJPROP_COLOR,D1_Highcol);
   ObjectSet("High_line",OBJPROP_RAY,false);
   
   ObjectDelete("Low_line");
   ObjectCreate(0,"Low_line",OBJ_TREND,0,0,0,0);
   ObjectSet("Low_line", OBJPROP_TIME1,  curTime+D1shift);
   ObjectSet("Low_line", OBJPROP_TIME2,  curTime+D1shift+D1width);
   ObjectSet("Low_line", OBJPROP_PRICE1, D1_low);
   ObjectSet("Low_line", OBJPROP_PRICE2, D1_low);
   ObjectSet("Low_line",OBJPROP_STYLE,D1_style);
   ObjectSet("Low_line",OBJPROP_COLOR,D1_Lowcol);
   ObjectSet("Low_line",OBJPROP_RAY,false);
   }
   
 if (D1_Show_Price==true) 
   { 
   ObjectDelete("High_price");
   ObjectCreate(0,"High_price",OBJ_HLINE,0,0,D1_high);
   ObjectSet("High_price",OBJPROP_STYLE,5);
   ObjectSet("High_price",OBJPROP_COLOR,D1_Highcol);
   
   ObjectDelete("Low_price");
   ObjectCreate(0,"Low_price",OBJ_HLINE,0,0,D1_low);
   ObjectSet("Low_price",OBJPROP_STYLE,5);
   ObjectSet("Low_price",OBJPROP_COLOR,D1_Lowcol);
   }
//--------------------------------------------------------------------
//   Daily Info

 if (Show_Daily_Info==true)
   { 
   double  D1_open=iOpen(NULL, PERIOD_D1,0); 
   double  D1_Range=(D1_high-D1_low)/Point;
   double  D1_Change=(Bid-D1_open)/Point;
   
   color D1CCol;
   
   if (Bid > D1_open)D1CCol= clrGreen;
   if (Bid < D1_open)D1CCol= clrFireBrick;   
   
      ObjectCreate(0,"D1Range",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"D1Range",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"D1Range",OBJPROP_BORDER_COLOR,C'155,155,155');
   ObjectSetInteger(0,"D1Range",OBJPROP_BGCOLOR,clrDarkGray);
   ObjectSetInteger(0,"D1Range",OBJPROP_XDISTANCE,12);
   ObjectSetInteger(0,"D1Range",OBJPROP_YDISTANCE,-1);
   ObjectSetInteger(0,"D1Range",OBJPROP_XSIZE,40);
   ObjectSetInteger(0,"D1Range",OBJPROP_YSIZE,15);
   ObjectSetInteger(0,"D1Range",OBJPROP_COLOR,Black);
   ObjectSetInteger(0,"D1Range",OBJPROP_FONTSIZE,7);
   ObjectSetString(0,"D1Range",OBJPROP_TEXT,DoubleToString(NormalizeDouble(D1_Range / divider, 1), x_digits));
   ObjectSetInteger(0,"D1Range",OBJPROP_SELECTABLE,false);
   ObjectSetInteger(0,"D1Range",OBJPROP_HIDDEN,True); 
   
         ObjectCreate(0,"D1Change",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"D1Change",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"D1Change",OBJPROP_BORDER_COLOR,C'155,155,155');
   ObjectSetInteger(0,"D1Change",OBJPROP_BGCOLOR,clrDarkGray);
   ObjectSetInteger(0,"D1Change",OBJPROP_XDISTANCE,52);
   ObjectSetInteger(0,"D1Change",OBJPROP_YDISTANCE,-1);
   ObjectSetInteger(0,"D1Change",OBJPROP_XSIZE,40);
   ObjectSetInteger(0,"D1Change",OBJPROP_YSIZE,15);
   ObjectSetInteger(0,"D1Change",OBJPROP_COLOR,D1CCol);
   ObjectSetInteger(0,"D1Change",OBJPROP_FONTSIZE,7);
   ObjectSetString(0,"D1Change",OBJPROP_TEXT,DoubleToString(NormalizeDouble(D1_Change / divider, 1), x_digits));
   ObjectSetInteger(0,"D1Change",OBJPROP_SELECTABLE,false);
   ObjectSetInteger(0,"D1Change",OBJPROP_HIDDEN,True); 
   }
//----------------------------------------------------   
   return(0);
  }